### Hierarchy

- IWebDriverOptionsCookie
  - IWebDriverCookie

## Index

### Properties

- domain
- expiry
- httpOnly
- name
- path
- secure
- value

## Properties

### Optional domain

domain?: string

The domain the cookie is visible to. Defaults to the current browsing context's document's URL when adding a cookie.

### Optional expiry

expiry?: number | Date

When the cookie expires.

When {@linkplain Options#addCookie() adding a cookie}, this may be specified in seconds since Unix epoch (January 1, 1970). The expiry will default to 20 years in the future if omitted.

The expiry is always returned in seconds since epoch when {@linkplain Options#getCookies() retrieving cookies} from the browser.

### Optional httpOnly

httpOnly?: boolean

Whether the cookie is an HTTP only cookie. Defaults to false when adding a new cookie.

### name

name: string

The name of the cookie.

### Optional path

path?: string

The cookie path. Defaults to "/" when adding a cookie.

### Optional secure

secure?: boolean

Whether the cookie is a secure cookie. Defaults to false when adding a new cookie.

### value

value: string

The cookie value.

Generated using TypeDoc